# range | Welshman Docs
Documentation for Welshman Docs

# Function range

- range(a: number, b: number, step?: number): Generator<number, void, unknown>

- Generates sequence of numbers from a to b

  #### Parameters

  - a: number

    Start number (inclusive)

  - b: number

    End number (exclusive)

  - step: number = 1

    Increment between numbers

  #### Returns Generator<number, void, unknown>

  #### Yields

  Numbers in sequence

  - Defined in packages/lib/src/Tools.ts:185